Debian Bug report logs - #641447
ITP: netcdf-java -- Java interface to NetCDF files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 13 Sep 2011 14:03:01 UTC

Owned by: Mathieu Malaterre <malat@debian.org>

Severity: wishlist

Fixed in version netcdf-java/4.3.8-BETA-1

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#641447; Package wnpp. (Tue, 13 Sep 2011 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 13 Sep 2011 14:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: netcdf-java -- Java interface to NetCDF files
Date: Tue, 13 Sep 2011 15:59:16 +0200
Package: wnpp
Severity: wishlist
Owner: Mathieu Malaterre <mathieu.malaterre@gmail.com>


* Package name    : netcdf-java
  Version         : 4.2
  Upstream Author : University Corporation for Atmospheric Research/Unidata
* URL             : http://www.unidata.ucar.edu/software/netcdf-java/
* License         : LGPL
  Programming Lang: Java
  Description     : Java interface to NetCDF files

 The NetCDF-Java library implements a Common Data Model (CDM), a generalization
 of the NetCDF, OpenDAP and HDF5 data models. The library is a prototype for the
 NetCDF-4 project, which provides a C language API for the "data access layer"
 of the CDM, on top of the HDF5 file format. The NetCDF-Java library is a 100%
 Java framework for reading netCDF and other file formats into the CDM, as well
 as writing to the netCDF-3 file format. The NetCDF-Java library also implements
 NcML, which allows you to add metadata to CDM datasets, as well as to create
 virtual datasets through aggregation.




Added blocking bug(s) of 641447: 641315 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Tue, 13 Sep 2011 14:15:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 641447: 641399 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Tue, 13 Sep 2011 14:15:09 GMT) Full text and rfc822 format available.

Added indication that bug 641447 blocks 641448 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Tue, 13 Sep 2011 14:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#641447; Package wnpp. (Wed, 14 Sep 2011 06:24:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>. (Wed, 14 Sep 2011 06:24:21 GMT) Full text and rfc822 format available.

Message #16 received at 641447@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 641447@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bug#641447: ITP: netcdf-java -- Java interface to NetCDF files
Date: Wed, 14 Sep 2011 08:20:19 +0200
Hi,

On Tue, Sep 13, 2011 at 03:59:16PM +0200, Mathieu Malaterre wrote:
>   Description     : Java interface to NetCDF files
> 
>  The NetCDF-Java library implements a Common Data Model (CDM), a generalization
>  of the NetCDF, OpenDAP and HDF5 data models. The library is a prototype for the
>  NetCDF-4 project, which provides a C language API for the "data access layer"
>  of the CDM, on top of the HDF5 file format. The NetCDF-Java library is a 100%
>  Java framework for reading netCDF and other file formats into the CDM, as well
>  as writing to the netCDF-3 file format. The NetCDF-Java library also implements
>  NcML, which allows you to add metadata to CDM datasets, as well as to create
>  virtual datasets through aggregation.

I admit I do not have any idea what CDF means and also "Common Data
Model (CDM)" is far from ringing any bell (as well as the other
acronyms).  It would be helpful for the wider public to add some hints
about these things as well as some examples for practical usage.

Kind regards

       Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#641447; Package wnpp. (Wed, 25 Jan 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Jan 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #21 received at 641447@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 641447@bugs.debian.org
Date: Wed, 25 Jan 2012 18:12:46 +0100
I am stuck with files with no license. I did contact upstream about that:

# http://mailman.unidata.ucar.edu/mailing_lists/archives/netcdf-java/2012/msg00002.html
# http://mailman.unidata.ucar.edu/mailing_lists/archives/netcdf-java/2012/msg00014.html
# http://mailman.unidata.ucar.edu/mailing_lists/archives/netcdf-java/2012/msg00016.html

Now let's watch:

https://github.com/Unidata/thredds

-- 
Mathieu




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:02 GMT) Full text and rfc822 format available.

Owner changed from Mathieu Malaterre <mathieu.malaterre@gmail.com> to Mathieu Malaterre <malat@debian.org>. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:56:01 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 641447: 667516 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 16:03:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 641447: 667598 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 09:54:40 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 20:06:03 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Thu, 03 May 2012 22:54:07 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Thu, 03 May 2012 22:54:07 GMT) Full text and rfc822 format available.

Message #36 received at 641447-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 641447-close@bugs.debian.org
Subject: Bug#641447: fixed in netcdf-java 4.3.8-BETA-1
Date: Thu, 03 May 2012 22:52:26 +0000
Source: netcdf-java
Source-Version: 4.3.8-BETA-1

We believe that the bug you reported is fixed in the latest version of
netcdf-java, which is due to be installed in the Debian FTP archive:

libnetcdf-java_4.3.8-BETA-1_all.deb
  to main/n/netcdf-java/libnetcdf-java_4.3.8-BETA-1_all.deb
netcdf-java_4.3.8-BETA-1.debian.tar.gz
  to main/n/netcdf-java/netcdf-java_4.3.8-BETA-1.debian.tar.gz
netcdf-java_4.3.8-BETA-1.dsc
  to main/n/netcdf-java/netcdf-java_4.3.8-BETA-1.dsc
netcdf-java_4.3.8-BETA.orig.tar.gz
  to main/n/netcdf-java/netcdf-java_4.3.8-BETA.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated netcdf-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Apr 2012 10:24:52 +0200
Source: netcdf-java
Binary: libnetcdf-java
Architecture: source all
Version: 4.3.8-BETA-1
Distribution: experimental
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libnetcdf-java - Java interface to NetCDF files
Closes: 641447
Changes: 
 netcdf-java (4.3.8-BETA-1) experimental; urgency=low
 .
   * Initial Debian Upload (Closes: #641447)
Checksums-Sha1: 
 6d911f82db93a2948889652deaa29b8d958ceecb 2305 netcdf-java_4.3.8-BETA-1.dsc
 dad737c7176d2a18a228545ed718a1115391758f 8932835 netcdf-java_4.3.8-BETA.orig.tar.gz
 a7bdf56f5206b9d11c1c263b4ac9776551b7579f 8211 netcdf-java_4.3.8-BETA-1.debian.tar.gz
 d305646a8cd9380b28b518eca2fc3c4bda6e2bea 2628606 libnetcdf-java_4.3.8-BETA-1_all.deb
Checksums-Sha256: 
 e21bab185ccfb5de920d95ccbf52893717e9a54d8b256738f0a03a7a6a37fe84 2305 netcdf-java_4.3.8-BETA-1.dsc
 ca7cb5d2b04b9159d0d31c25bb75ae45ccf4077c1ce00b1f28e2bb7d2286b2cd 8932835 netcdf-java_4.3.8-BETA.orig.tar.gz
 a337c017efcfb593c561c1ccf7f5a8d69fdc2e07cdb6d729311f893e10130932 8211 netcdf-java_4.3.8-BETA-1.debian.tar.gz
 28cd49c275a212f4373fd1f4f44aad3fbc20bcd7ac9ea213b2926241778cdb4a 2628606 libnetcdf-java_4.3.8-BETA-1_all.deb
Files: 
 df03b6a3c504b18f5582586fc1c65ebe 2305 java optional netcdf-java_4.3.8-BETA-1.dsc
 4d69b6be5c6de2990ceb12548b1de14f 8932835 java optional netcdf-java_4.3.8-BETA.orig.tar.gz
 c4fa2567c8f6f7beaa21e4b9309f35fc 8211 java optional netcdf-java_4.3.8-BETA-1.debian.tar.gz
 abe9ecfcd43e2a3de934613ddaa68dce 2628606 java optional libnetcdf-java_4.3.8-BETA-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPg/F9AAoJEAFx4YKK4JNFOxwP/3Sf/aUpax58lqp69jgn4UNA
YKfSVVhYMSV+wnaMXti1Cbtt3EQ7JKw8i0YC6tNcy2JqNGepgrW/oEpD4MMs9Xj/
vvVVcP8aOwWowiKI8BzvBQDndzhs7D10NDIF/2P0coZupXwNja16hOkHGHAKOjG9
m49ZYsCPGbAm8FuaptNLb6+N+LgTBe/ElWK7uRD9hdoMeFHuPgXfBgDQrEK1pGxE
6qxtL5bpAKzWYwqL6HWupI6jI9eatGuWwMxjqHVBHQ2huQVgrbfHilKcLc13g6tf
HGu1+LZ15sFU2RlG6xIDluV1qWc2YZiXjVJ+rcPBCocqPDJIMkHdsUshSR8Uit+A
/PLAqrHmvEhL5U3+Rik7+4KkZqFloadgRmnsA0M9wP7QfeTesvCOSnqH+Wn9McC5
kzcrSG3iozP9iE/BplOH4JMYizoa9GO25f4kl0LOopM3zoMGLxThnsZtVSPovJie
vYPMv6ZUnPBgfXdC/D3vy8DnoE1A1r5H0OOMFDz6qAWVdzlkkrLi07RX4RuO6Mm+
hFY+1JiRmkoIbmRShNcBPLuU/QQWUZaBoxUbxohGJ7sDfODCI3hHOKNhTNYFWNtv
GSaM5JA60yjPNqgOL0PNlRF+nN+u138gna7hKiUqZcYvQhUBjZE7XIA+NUCZENiC
XrSMaIa/ifaeX1DPX3mD
=24+v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jun 2012 07:41:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:07:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.